Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.platform
Class PlatformMssqlImpl

    java.lang.Object
      org.apache.torque.templates.platform.PlatformDefaultImpl
          org.apache.torque.templates.platform.PlatformMssqlImpl

All Implemented Interfaces:
  Platform

    public class PlatformMssqlImpl

extends PlatformDefaultImpl

MS SQL Platform implementation.

Version:
  $Id: PlatformMssqlImpl.java 1439644 2013-01-28 21:30:20Z tfischer $
Author:
  Martin Poeschl, Greg Monroe

Constructor Summary
`PlatformMssqlImpl()` Default constructor.

Method Summary
`protected boolean` | `escapeBackslashes()` Returns whether backslashes must be escaped in string literals.
`String` | `getNullString(boolean notNull)`
`String` | `getTimestampString(Date date)` Formats the given date as timestamp string which is parseable by the database.
`boolean` | `hasSize(String sqlType)` Returns if the RDBMS-specific SQL type has a size attribute.
`boolean` | `usesStandaloneSchema()` Returns whether the database has schema support where a schema is not tied to a user (oracle) or database (mysql), but can be created separately.

Methods inherited from class org.apache.torque.templates.platform.PlatformDefaultImpl
`createNotNullBeforeAutoincrement, getAutoIncrement, getDateString, getSizeSuffix, getSqlTypeForSchemaType, getTimeString, hasScale, quoteAndEscape, setSchemaTypeToSqlTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformMssqlImpl

    public PlatformMssqlImpl()

  Default constructor.

Method Detail

### getNullString

    public String getNullString(boolean notNull)

  Specified by:
    `getNullString` in interface `Platform`
  Overrides:
    `getNullString` in class `PlatformDefaultImpl`
  Returns:
    Explicitly returns `NULL` if null values are allowed (as recomended by Microsoft).
  See Also:
    `Platform.getNullString(boolean)`

### escapeBackslashes

    protected boolean escapeBackslashes()

  Description copied from class: `PlatformDefaultImpl`
  Returns whether backslashes must be escaped in string literals.

  Overrides:
    `escapeBackslashes` in class `PlatformDefaultImpl`
  Returns:
    true if backslashes bust be escaped, false otherwise.

### getTimestampString

    public String getTimestampString(Date date)

  Formats the given date as timestamp string which is parseable by the database.

  Specified by:
    `getTimestampString` in interface `Platform`
  Overrides:
    `getTimestampString` in class `PlatformDefaultImpl`
  Parameters:
    `date` - the date to format.
  Returns:
    the timestamp string, inclusive string escaping.

### usesStandaloneSchema

    public boolean usesStandaloneSchema()

  Returns whether the database has schema support where a schema is not tied to a user (oracle) or database (mysql), but can be created separately.

  Specified by:
    `usesStandaloneSchema` in interface `Platform`
  Overrides:
    `usesStandaloneSchema` in class `PlatformDefaultImpl`
  Returns:
    this implementation returns true.

### hasSize

    public boolean hasSize(String sqlType)

  Description copied from interface: `Platform`
  Returns if the RDBMS-specific SQL type has a size attribute.

  Specified by:
    `hasSize` in interface `Platform`
  Overrides:
    `hasSize` in class `PlatformDefaultImpl`
  Parameters:
    `sqlType` - the SQL type
  Returns:
    true if the type has a size attribute
  See Also:
    `Platform.hasSize(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.